Linux Player - Error GStreamer

Hello guys,

I have a problem to run the xibo-player in ubuntu desktop 18.04 where the player return the errors below:

(player:28287): Gtk-CRITICAL **: 09:12:19.229: gtk_widget_set_size_request: assertion ‘width >= -1’ failed
[09:12:19.257] [028287] [error]: [MediaPlayer] Your GStreamer installation is missing a plug-in.
[09:12:19.257] [028287] [error]: [MediaPlayer] GStreamer encountered a general stream error.

If run the video with default video player of ubuntu, this run OK. Any idea for solving this?

Thanks.

Is that with a specific layout?

If so, please can you provide a layout that triggers this and we can look at it.